## ubuntu-docs 8.06.1

=== ubuntu/Makefile ===
####################################################################################           
# Makefile for the GNOME Ubuntu Documentation
# Copyright (C) 2005-2006 Ubuntu Documentation Project (ubuntu-doc@lists.ubuntu.com)
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version. 
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#    On Debian based systems a copy of the GPL can be found 
#    at /usr/share/common-licenses/GPL
#
####################################################################################

MAKECMD=make

# XSL Processors
XSLTPROC=/usr/bin/xsltproc

current_distro=$(shell test -e /etc/debian_version && echo "debian")

# NWalsh Docbook XSL's
ifeq ($(current_distro), debian)
# Ubuntu
NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl

# Debian and Ubuntu also need an explicit location for the XML catalog files
#export XML_CATALOG_FILES = /usr/share/xml/docbook/schema/dtd/4.1.2/catalog.xml
#else
# SuSE
#NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/current/html/docbook.xsl
endif

# Makes an Image list text file
MKIMGLST=../libs/imagelist.xsl

# Collected and Write Status
wOS=../libs/writeOwnerStatus.xsl

# Ubuntu Docbook Customization Layer

UBUNTUCHUNKXSL=libs/ubuntu-html-chunk-cust.xsl
UBUNTUSINGLEXSL=libs/ubuntu-html-single-cust.xsl
PDFSTYLE=../libs/pdf/ubuntu-pdf.xsl
LULUSTYLE=../libs/pdf/ubuntu-pdf-lulu.xsl
# Local path to newer xsl for use with fop 0.90
PDFSTYLE2=../libs/pdf/ubuntu-pdf2.xsl

# Base gnome directories for output from processor
BASE=../build/ubuntu/

IMAGES=../build/ubuntu/images/

.PHONY: website switching

gdeb: 

all: clean style serverguide switching status contributors

	for doc in `cat libs/shipped-docs`; do xsltproc --xinclude -o $(BASE)$$doc/C/index.html $(UBUNTUCHUNKXSL) $$doc/C/$$doc.xml; sed -i $(BASE)$$doc/C/*legal.html -e "s#\.\./common/C/contributors\.xml#common/C/contributors\.html#g"; done
	./fix-urls.sh

index:

	xsltproc --stringparam html.stylesheet "common/ubuntu-book.css" -o $(BASE)index.html $(UBUNTUCHUNKXSL) index.xml

clean:
	rm -rf $(BASE)*

style:

	# copy style sheet and common images to build directory
	mkdir -p ../build/ubuntu/common/img
	cp libs/*css ../build/ubuntu/common/
	cp libs/img/*png ../build/ubuntu/common/img/
	mkdir -p $(IMAGES)admon
	cp -r ../common/admon/*.* $(IMAGES)admon	
	mkdir -p $(IMAGES)callouts
	cp -r ../common/callouts/*.* $(IMAGES)callouts
	mkdir -p $(IMAGES)navig
	cp -r ../common/navig/*.* $(IMAGES)navig

## Targets for building standalone documents

switching:

	xsltproc --stringparam html.stylesheet "common/ubuntu-book.css" --stringparam navig.graphics.path "images/navig/" --stringparam callout.graphics.path "images/callouts/" --stringparam admon.graphics.path "images/admin/" --xinclude -o $(BASE)switching/index.html $(UBUNTUCHUNKXSL) switching/C/switching.xml

	# copy style sheet and common images to build directory
	mkdir -p ../build/ubuntu/switching/common/img
	cp libs/*css ../build/ubuntu/switching/common/
	cp libs/img/*png ../build/ubuntu/switching/common/img/
	mkdir -p ../build/ubuntu/switching/images/admon
	cp -r ../common/admon/*.* ../build/ubuntu/switching/images/admon	
	mkdir -p ../build/ubuntu/switching/images/callouts
	cp -r ../common/callouts/*.* ../build/ubuntu/switching/images/callouts	
	mkdir -p ../build/ubuntu/switching/images/navig
	cp -r ../common/navig/*.* ../build/ubuntu/switching/images/navig	

serverguide: style

	xsltproc --xinclude -o $(BASE)serverguide/C/index.html $(UBUNTUCHUNKXSL) ../generic/serverguide/C/serverguide.xml
	sed -i ../build/ubuntu/serverguide/C/*legal.html -e "s#\.\./common/C/contributors\.xml#common/C/contributors\.html#g"


status: style

	xsltproc --xinclude -o $(BASE)status/sg-report.xml $(wOS) ../generic/serverguide/C/serverguide.xml
	xsltproc --xinclude -o $(BASE)status/sg-report.html $(NWDBXSL) $(BASE)status/sg-report.xml

contributors: style

	xsltproc --stringparam root.filename "contributors" -o $(BASE)common/C/ $(UBUNTUCHUNKXSL) ../common/C/contributors.xml

index-test: style

	xsltproc --xinclude -o $(BASE)index-test/ $(UBUNTUCHUNKXSL) index2.xml

install: style

## To build an Ubuntu look n feel version of the installation-guide, download
## the source package and unpack it to ubuntu/installation-guide. Then amend
## build/buildone.sh so that the "web" stylesheet refers to the Ubuntu stylesheet
## in ubuntu/libs. Then use this make target:

	cd installation-guide/build && mkdir -p ../../../build/ubuntu/installation-guide && destination='../../../build/ubuntu/installation-guide/'  formats='html txt' architectures='amd64 hppa i386 ia64 powerpc sparc' ./buildweb.sh && cd ../../../ubuntu/

=== debian/changelog ===
ubuntu-docs (8.06.1) hardy-proposed; urgency=low

  * Updates to Firefox homepage for Catalan, Korean (LP: #153124, LP: #220889)
  * Text and link fixes from Phil Bull (LP: #222987, LP: #231367)
  * SRU bug: (LP: #243823)

 -- Matthew East <mdke@ubuntu.com>  Sun, 22 Jun 2008 11:10:57 +0100

ubuntu-docs (8.04.2) hardy; urgency=low

  * Adding symlinks to fix offline FF startpage for several languages

 -- Matthew East <mdke@ubuntu.com>  Mon, 21 Apr 2008 22:33:10 +0100

=== debian/control ===
Source: ubuntu-docs
Section: text
Priority: optional
Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
Uploaders: Daniel Holbach <daniel.holbach@ubuntu.com>
Build-Depends: debhelper (>= 5.0.0), cdbs
Build-Depends-Indep: xsltproc, docbook-xsl, perl, perl-modules, gnome-doc-utils, docbook-xml, fdupes, bc
Standards-Version: 3.7.2

Package: ubuntu-docs
Architecture: all
Pre-Depends: dpkg (>= 1.10.24)
Depends: scrollkeeper, gnome-user-guide, yelp
Conflicts: ubuntu-quickguide (<< 5.10), ubuntu-faqguide
Replaces: ubuntu-faqguide
Description: The Ubuntu Documentation Project
 This package holds the official Ubuntu-specific documentation, maintained 
 by the Ubuntu Documentation Team. The documentation can  be viewed using
 Yelp, the GNOME help browser.

Package: ubuntu-serverguide
Architecture: all
Pre-Depends: dpkg (>= 1.10.24)
Suggests: firefox
Description: The Ubuntu Server Guide
 This package holds the official Ubuntu Server Guide. The guide can 
 be viewed using an html browser.

## ubuntu-docs 8.10.2

=== Makefile ===
####################################################################################           
# Makefile for the GNOME Ubuntu Documentation
# Copyright (C) 2005-2006 Ubuntu Documentation Project (ubuntu-doc@lists.ubuntu.com)
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version. 
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#    On Debian based systems a copy of the GPL can be found 
#    at /usr/share/common-licenses/GPL
#
####################################################################################

MAKECMD=make

# XSL Processors
XSLTPROC=/usr/bin/xsltproc

current_distro=$(shell test -e /etc/debian_version && echo "debian")

# NWalsh Docbook XSL's
ifeq ($(current_distro), debian)
# Ubuntu
NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl

# Debian and Ubuntu also need an explicit location for the XML catalog files
#export XML_CATALOG_FILES = /usr/share/xml/docbook/schema/dtd/4.1.2/catalog.xml
#else
# SuSE
#NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/current/html/docbook.xsl
endif

# Makes an Image list text file
MKIMGLST=libs/imagelist.xsl

# Collected and Write Status
wOS=libs/writeOwnerStatus.xsl

# Ubuntu Docbook Customization Layer

UBUNTUCHUNKXSL=libs/ubuntu-html-chunk-cust.xsl
UBUNTUSINGLEXSL=libs/ubuntu-html-single-cust.xsl
UBUNTUPDFXSL=libs/ubuntu-pdf.xsl

# Base gnome directories for output from processor
BASE=build/

.PHONY: website switching

gdeb: 

all: clean style index serverguide switching status contributors

	for doc in `cat libs/shipped-docs`; do xsltproc --xinclude -o $(BASE)$$doc/C/index.html $(UBUNTUCHUNKXSL) $$doc/C/$$doc.xml; sed -i $(BASE)$$doc/C/*legal.html -e "s#\.\./libs/C/contributors\.xml#libs/C/contributors\.html#g"; done

index:

	xsltproc --stringparam html.stylesheet "libs/ubuntu-book.css" -o $(BASE)index.html $(UBUNTUCHUNKXSL) index.xml

clean:
	rm -rf $(BASE)*

style:

	# copy style sheet and common images to build directory
	mkdir -p build/libs/img
	mkdir -p build/libs/admon
	mkdir -p build/libs/callouts
	mkdir -p build/libs/navig
	cp libs/*css build/libs/
	cp libs/img/*png build/libs/img/
	cp -r libs/admon/*.* build/libs/admon	
	cp -r libs/callouts/*.* build/libs/callouts
	cp -r libs/navig/*.* build/libs/navig

## Targets for building standalone documents

switching:

	xsltproc --stringparam html.stylesheet "libs/ubuntu-book.css" --stringparam navig.graphics.path "images/navig/" --stringparam callout.graphics.path "images/callouts/" --stringparam admon.graphics.path "images/admin/" --xinclude -o $(BASE)switching/index.html $(UBUNTUCHUNKXSL) switching/C/switching.xml

	# copy style sheet and common images to build directory
	mkdir -p $(BASE)switching/libs/img
	cp libs/*css $(BASE)switching/libs/
	cp libs/img/*png $(BASE)switching/libs/img/
	mkdir -p $(BASE)switching/images/admon
	cp -r libs/admon/*.* $(BASE)switching/images/admon	
	mkdir -p $(BASE)switching/images/callouts
	cp -r libs/callouts/*.* $(BASE)switching/images/callouts	
	mkdir -p $(BASE)switching/images/navig
	cp -r libs/navig/*.* $(BASE)switching/images/navig	

serverguide: style

	xsltproc --xinclude -o $(BASE)serverguide/C/index.html $(UBUNTUCHUNKXSL) serverguide/C/serverguide.xml
	cp -r serverguide/sample $(BASE)serverguide/sample
	sed -i $(BASE)serverguide/C/*legal.html -e "s#\.\./libs/C/contributors\.xml#libs/C/contributors\.html#g"

serverguide-pdf:

	xsltproc --xinclude -o $(BASE)serverguide/C/serverguide.fo $(UBUNTUPDFXSL) serverguide/C/serverguide.xml
	fop -fo $(BASE)serverguide/C/serverguide.fo -pdf $(BASE)serverguide/C/serverguide.pdf

status: style

	xsltproc --xinclude -o $(BASE)status/sg-report.xml $(wOS) serverguide/C/serverguide.xml
	xsltproc --xinclude -o $(BASE)status/sg-report.html $(NWDBXSL) $(BASE)status/sg-report.xml

contributors: style

	xsltproc --stringparam root.filename "contributors" -o $(BASE)libs/C/ $(UBUNTUCHUNKXSL) libs/C/contributors.xml

index-test: style

	xsltproc --xinclude -o $(BASE)index-test/ $(UBUNTUCHUNKXSL) index2.xml
	sed -i $(BASE)index-test/*.html -e "s#ghelp:add-applications#add-applications.html#g"

#	sed -i $(BASE)index-test/*.html -e "s#ghelp:administrative##g"
#	sed -i $(BASE)index-test/*.html -e "s#ghelp:users-admin##g"
#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
#	sed -i $(BASE)index-test/*.html -e "s#ghelp:basic-commands##g"
#	sed -i $(BASE)index-test/*.html -e "s#ghelp:programming##g"
#	sed -i $(BASE)index-test/*.html -e "s#ghelp:user-guide\#panels##g"
#	sed -i $(BASE)index-test/*.html -e "s#ghelp:user-guide\#menubar##g"
#	sed -i $(BASE)index-test/*.html -e "s#ghelp:user-guide\#prefs##g"
#	sed -i $(BASE)index-test/*.html -e "s#ghelp:desktop-effects##g"
#	sed -i $(BASE)index-test/*.html -e "s#ghelp:add-applications\#synaptic##g"
#	sed -i $(BASE)index-test/*.html -e "s#ghelp:hardware\#restricted-manager##g"
#	sed -i $(BASE)index-test/*.html -e "s#ghelp:user-guide\#nautilus##g"
#	sed -i $(BASE)index-test/*.html -e "s#ghelp:hardware\#disks##g"
#
#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
#

=== debian/changelog ===
ubuntu-docs (8.10.2) intrepid; urgency=low

  * Updating translations from Launchpad as at 19 Oct 08 (LP: #286829)
  * Small update to Hebrew translation of browser startpage (LP: #285696)
  * To save CD space, only ship translations which are over 75% translated

 -- Matthew East <mdke@ubuntu.com>  Sun, 19 Oct 2008 20:21:13 +0100

ubuntu-docs (8.10.1) intrepid; urgency=low

  * Add ukranian translation of firefox homepage (LP: #216982)
  * Correct wrong codename in basic-commands document (LP: #281664)

 -- Matthew East <mdke@ubuntu.com>  Tue, 14 Oct 2008 22:27:20 +0100

ubuntu-docs (8.09.2) intrepid; urgency=low

  * ubuntu-serverguide should suggest www-browser and not firefox (LP: #272772)

 -- Matthew East <mdke@ubuntu.com>  Sun, 21 Sep 2008 21:21:03 +0100

ubuntu-docs (8.09.1) intrepid; urgency=low

  * about-ubuntu validity fix (LP: #255088)
  * various text updates (LP: #238661, LP: #14425, LP: #248283, LP: #215025)
  * hebrew startpage improvement (LP: #220780)

 -- Matthew East <mdke@ubuntu.com>  Thu, 04 Sep 2008 22:50:16 +0100

ubuntu-docs (8.08.2) intrepid; urgency=low

  * Updating browser startpage version numbers

 -- Matthew East <mdke@ubuntu.com>  Mon, 04 Aug 2008 21:55:44 +0100

ubuntu-docs (8.08.1) intrepid; urgency=low

  * First release for intrepid
  * Severe restructuring and simplification of tree
  * Removing lots of unused files
  * Only build translated xml at build time, rather than in advance
  * Various text fixes

 -- Matthew East <mdke@ubuntu.com>  Sat, 05 Apr 2008 15:03:15 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 Package: ubuntu-serverguide
 Architecture: all
 Pre-Depends: dpkg (>= 1.10.24)
-Suggests: firefox
+Suggests: www-browser
 Description: The Ubuntu Server Guide
  This package holds the official Ubuntu Server Guide. The guide can 
  be viewed using an html browser.

## ubuntu-docs 9.04.9

=== debian/changelog ===
ubuntu-docs (9.04.9) jaunty; urgency=low

  * Final import of translations from Rosetta for NonLangPackFreeze
  * Removing erroneous section about totem not supporting DVD menus (LP: #354777)
  * libdvdread3 -> libdvdread4 (LP: #354764)

 -- Matthew East <mdke@ubuntu.com>  Thu, 09 Apr 2009 21:15:26 +0100

ubuntu-docs (9.04.8) jaunty; urgency=low

  * [Jordan Mantha]
    - Add Conflicts on edubuntu-docs (<< 9.04.1ubuntu1) LP: #353288

  * [Matthew East]
    - Remove es_ES and es_PR locales (LP: #348855)
    - Removing strings about totem not being able to support DVD menus (LP: #354777)

 -- Matthew East <mdke@ubuntu.com>  Fri, 03 Apr 2009 21:19:27 +0100

ubuntu-docs (9.04.7) jaunty; urgency=low

  * debian/ubuntu-docs.postinst - Fix syntax error with previous release (LP: #353117)
  * refreshing translations from Rosetta

 -- Matthew East <mdke@ubuntu.com>  Wed, 01 Apr 2009 14:21:14 +0100

ubuntu-docs (9.04.6) jaunty; urgency=low

  * Remove deprecated directory at /usr/share/gnome/help/libs (LP: #303578)
    - Thanks to Steve Langasek for the fix

 -- Matthew East <mdke@ubuntu.com>  Mon, 30 Mar 2009 18:09:05 +0100

ubuntu-docs (9.04.5) jaunty; urgency=low

  * String freeze release

  * [Matthew East]
    - Updating logout and shutdown instructions for Jaunty (User Switcher, not System menu)
    - musicvideophotos.xml - use consistent language for extracting audio cds (LP: #346245)
    - musicvideophotos.xml - use direct link to brasero manual
    - Make titles of documents in yelp indexes match the title of the documents themselves (LP: #345852)
    - Refresh pot templates

  * [Dougie Richardson]
    - basic-commands.xml - paste instructions correction (LP: #341534)
    - internet/troubleshooting.xml - changing bad wording
    - video.xml - dvd support requires gstreamer-ugly (LP: #338321)
    - connecting.xml - modem instructions (LP: #310331)

  * [Adam Sommer] - Server Guide
    - Updated OpenLDAP section for new /etc/default/slapd configuration.
    - Added instructions for setting correct ACL for the Kerberos keys.
    - virtualization.xml - new Eucalyptus and OpenNebula sections
    - installation.xml:
      * rewrite of Extending Volume Groups section (LP: #347201, LP: #346862, and LP: #346859)
      * Updates for Jaunty.
    - security.xml:
      * Updated Firewall section for Jaunty.
      * Corrected "sudo ufw app info Samba" command (LP: #346327).
    - dns.xml - fixing grammar and spelling mistakes (LP: #348032, LP: #348023, LP: #348094).
    - windows-networking - Updated Likewise Open section for Jaunty (feedback from Thierry Carrez).

  * [Phil Bull]
    - about-ubuntu.xml - minor edits and updates, simplify a few sentences
    - add-applications.xml:
      * Add new entity for Software Sources, with sensible name
      * Simplify structure
      * Reduce verbosity, concentrate on the instructions
      * Separate-out conceptual information into dedicated sections

  * [Nathan Handler]
    - virtualization.xml - typo (LP: #343633)

  * [Dean Sas]
    - music.xml - volume control preferences fix (LP: #346957)

  * [Tim Bosse]
    - connecting.xml - add basic VPN instructions

 -- Matthew East <mdke@ubuntu.com>  Wed, 25 Mar 2009 22:03:21 +0000

ubuntu-docs (9.04.4) jaunty; urgency=low

  * [Matthew East]
    - Rewrite of internet/connecting/mobile-broadband
    - Review of internet/connecting/wireless
    - fix typo - LP: #339227
    - Update guilabel for disabling visual effects (LP: #339103)
    - Correction to 'Hardware Drivers' entity
    - Add documentation for visual effects keyboard shortcuts (LP: #147294) - patch from seisen1
    - Refresh pot files
    - programming.xml - package name should be in small case (LP: #336629)
    - Switching from Windows - typo fix and update to firefox bookmark export (LP: #330912, LP: #330908)

  * [Dougie Richardson]
    - Document MTP player support for rhythmbox (LP: #338437)
    - Use xref links rather than ulink in musicvideophotos (LP: #222990)

  * [Adam Sommer]
    - Improvements to OpenLDAP credentials section (LP: #333733, LP: #333437)
    - Fix to Samba security instructions (LP: #332478)
    - Fix to Subversion authentication details (LP: #337215)
    - Add -c flag to vert-viewer command example (LP: #335541)
    - Update link to MoinMoin website (LP: #334652)
    - Updated Postfix section with instructions for new dovecot-postfix package
    - Bind configuration improvements (LP: #339910)

 -- Matthew East <mdke@ubuntu.com>  Sun, 08 Mar 2009 13:54:15 +0000

ubuntu-docs (9.04.3) jaunty; urgency=low

  * Cruft Remover renamed to Computer Janitor, adjusting hardware.xml accordingly (LP: #336288)
  * Expansion and revision of Programming document (Dean Sas)
  * No way to change hostname using GUI tool now (LP: #322268) - Dougie Richardson
  * Update logout details (LP: #335279) - Dougie Richardson
  * Update version number in offline firefox startpage
  * Typo in serverguide (LP: #334697) - Dougie Richardson
  * Update to Windows partition manager in Switching from Windows doc (LP: #333600) - Dougie Richardson
  * Refresh pot files

 -- Matthew East <mdke@ubuntu.com>  Sun, 01 Mar 2009 15:46:22 +0000

ubuntu-docs (9.04.2) jaunty; urgency=low

  * Various serverguide fixes:
    - Grammar error (LP: #203829) - Dean Sas
    - Fix mailman dependencies (LP: #291772) - Morten Siebuhr
    - CVS installation error (LP: #298605) - Thomas M
    - Postfox installation error (LP: #306289) - Adam Sommer
    - SSH update (LP: #311900) - Dean Sas
    - unzoo replaced by zoo (LP: #312506)
    - Samba instructions update (LP: #313232) - Adam Sommer
    - Clearer SSL instructions (LP: #314951) - Adam Sommer
    - LDAP error (LP: #319179) - Adam Sommer
    - MoinMoin installation fix (LP: #320840) - Adam Sommer
    - Postfix ssl improvements (LP: #323203) - Adam Sommer
    - Ebox instructions error (LP: #324399) - Dean Sas
    - Typo in openssh section (LP: #325828) - Dean Sas
    - Typo in samba section (LP: #285484) - Nick Ellery


## ubuntu-docs 9.04.10

=== Makefile ===
--- 
+++ 
@@ -20,6 +20,10 @@
 ####################################################################################
 
 MAKECMD=make
+
+# Language code for documents
+# Ex. LN=ja for japanese
+LN=C
 
 # XSL Processors
 XSLTPROC=/usr/bin/xsltproc
@@ -59,7 +63,15 @@
 
 all: clean style index serverguide switching status contributors
 
-	for doc in `cat libs/shipped-docs`; do xsltproc --xinclude -o $(BASE)$$doc/C/index.html $(UBUNTUCHUNKXSL) $$doc/C/$$doc.xml; sed -i $(BASE)$$doc/C/*legal.html -e "s#\.\./libs/C/contributors\.xml#libs/C/contributors\.html#g"; done
+	for doc in `cat libs/shipped-docs`; do \
+		if [ $(LN) != "C" ]; then \
+			./scripts/translate.sh -d $$doc -l $(LN); \
+		fi; \
+		if find $$doc/$(LN) -name "*.xml"; then \
+			xsltproc --xinclude -o $(BASE)$$doc/$(LN)/index.html $(UBUNTUCHUNKXSL) $$doc/$(LN)/$$doc.xml; \
+		fi; \
+	done
+	./scripts/fix-urls.sh -l $(LN)
 
 index:
 
@@ -100,53 +112,45 @@
 
 serverguide: style
 
-	xsltproc --xinclude -o $(BASE)serverguide/C/index.html $(UBUNTUCHUNKXSL) serverguide/C/serverguide.xml
-	cp -r serverguide/sample $(BASE)serverguide/sample
-	sed -i $(BASE)serverguide/C/*legal.html -e "s#\.\./libs/C/contributors\.xml#libs/C/contributors\.html#g"
+	if [ $(LN) != "C" ]; then \
+		./scripts/translate.sh -d serverguide -l $(LN); \
+	fi
+	if find serverguide/$(LN) -name "*.xml"; then \
+		xsltproc --xinclude -o $(BASE)serverguide/$(LN)/index.html $(UBUNTUCHUNKXSL) serverguide/$(LN)/serverguide.xml; \
+		cp -r serverguide/sample $(BASE)serverguide/sample; \
+		sed -i $(BASE)serverguide/$(LN)/*legal.html -e "s#\.\./libs/C/contributors\.xml#libs/$(LN)/contributors\.html#g"; \
+	fi
 
 serverguide-pdf:
 
-	xsltproc --xinclude -o $(BASE)serverguide/C/serverguide.fo $(UBUNTUPDFXSL) serverguide/C/serverguide.xml
-	fop -fo $(BASE)serverguide/C/serverguide.fo -pdf $(BASE)serverguide/C/serverguide.pdf
+	if [ $(LN) != "C" ]; then \
+		./scripts/translate.sh -d serverguide -l $(LN); \
+	fi
+	if find serverguide/$(LN) -name "*.xml"; then \
+		xsltproc --xinclude -o $(BASE)serverguide/$(LN)/serverguide.fo $(UBUNTUPDFXSL) serverguide/$(LN)/serverguide.xml; \
+		fop -fo $(BASE)serverguide/$(LN)/serverguide.fo -pdf $(BASE)serverguide/$(LN)/serverguide.pdf; \
+	fi
 
 status: style
 
-	xsltproc --xinclude -o $(BASE)status/sg-report.xml $(wOS) serverguide/C/serverguide.xml
-	xsltproc --xinclude -o $(BASE)status/sg-report.html $(NWDBXSL) $(BASE)status/sg-report.xml
+	if [ $(LN) != "C" ]; then \
+		./scripts/translate.sh -d serverguide -l $(LN); \
+	fi
+	if find serverguide/$(LN) -name "*.xml"; then \
+		xsltproc --xinclude -o $(BASE)status/sg-report.xml $(wOS) serverguide/$(LN)/serverguide.xml; \
+		xsltproc --xinclude -o $(BASE)status/sg-report.html $(NWDBXSL) $(BASE)status/sg-report.xml; \
+	fi
 
 contributors: style
 
 	xsltproc --stringparam root.filename "contributors" -o $(BASE)libs/C/ $(UBUNTUCHUNKXSL) libs/C/contributors.xml
 
-index-test: style
+install: style
 
-	xsltproc --xinclude -o $(BASE)index-test/ $(UBUNTUCHUNKXSL) index2.xml
-	sed -i $(BASE)index-test/*.html -e "s#ghelp:add-applications#add-applications.html#g"
+# To build an Ubuntu look n feel version of the installation-guide, download
+# the source package and unpack it to ubuntu/installation-guide. Then amend
+# build/buildone.sh so that the "web" stylesheet refers to the Ubuntu installguide stylesheet
+# in ubuntu/libs. Then use this make target.
 
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:administrative##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:users-admin##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:basic-commands##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:programming##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:user-guide\#panels##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:user-guide\#menubar##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:user-guide\#prefs##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:desktop-effects##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:add-applications\#synaptic##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:hardware\#restricted-manager##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:user-guide\#nautilus##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:hardware\#disks##g"
-#
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
-#	sed -i $(BASE)index-test/*.html -e "s#ghelp:server##g"
-#
+	cd installation-guide/build && mkdir -p ../../build/installation-guide && destination='../../build/installation-guide/'  formats='html txt' architectures='amd64 hppa i386 ia64 powerpc sparc' ./buildweb.sh && cd ../../

=== debian/changelog ===
ubuntu-docs (9.04.10) jaunty-proposed; urgency=low

  * Remove draft watermark from html, LP: #366098

 -- Matthew East <mdke@ubuntu.com>  Sat, 25 Apr 2009 00:43:59 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Architecture: all
 Pre-Depends: dpkg (>= 1.10.24)
 Depends: scrollkeeper, gnome-user-guide, yelp
-Conflicts: ubuntu-quickguide (<< 5.10), ubuntu-faqguide
+Conflicts: ubuntu-quickguide (<< 5.10), ubuntu-faqguide, edubuntu-docs (<< 9.04.1ubuntu1)
 Replaces: ubuntu-faqguide
 Description: The Ubuntu Documentation Project
  This package holds the official Ubuntu-specific documentation, maintained

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_DH_INSTALL_ARGS = -X.svn
DEB_DH_BUILDDEB_ARGS := -- -Z bzip2

DEB_SRCDIR = .

DEB_MAKE_BUILD_TARGET = gdeb

$(patsubst %,binary-install/%,$(DEB_PACKAGES)) :: binary-install/%:
	dh_scrollkeeper -p$(cdbs_curpkg) $(DEB_DH_SCROLLKEEPER_ARGS)

install755=install -m755 -oroot -groot
preptrans=prepare-firefox-startpage-translations
preptransdir=debian/ubuntu-docs/usr/share/ubuntu-docs/common

clean::
	@grep -E ^"\*" debian/README.Debian | sed 's/^\*\ //' | xargs rm -rf
	@echo "---"

common-binary-post-install-indep::
	mv debian/ubuntu-docs/usr/share/ubuntu-artwork/home/index.html debian/ubuntu-docs/usr/share/ubuntu-artwork/home/firefox-index.html
	$(install755) -d $(preptransdir)
	$(install755) debian/$(preptrans) $(preptransdir)
	$(preptransdir)/$(preptrans) \
		browser-startpage \
		debian/ubuntu-docs \
		/usr/share/ubuntu-artwork/home/locales-ubuntu \
		../index.html

# Install the documents; skip documents which are less than 75% translated

	set -x; for doc in `cat libs/shipped-docs`; do \
		scripts/translate.sh -d $$doc ; \
		numstrings=`LANG=C msgfmt --statistics $$doc/po/$$doc.pot 2>&1 | sed -r 's/^.* ([[:digit:]]+) untranslated.*$$/\1/'`; \
			for lang in `ls $$doc/`; do \
				if [ -e $$doc/po/$$lang.po ]; then \
					translated=`LANG=C msgfmt -o /dev/null --statistics $$doc/po/$$lang.po 2>&1| cut -f1 -d\ `; \
					if [ "`echo "$$translated./$$numstrings > 0.75" | bc -l`" = "0" ]; then \
						echo "$$doc $$lang is less than 75% translated, skipping"; \
						continue; \
					fi; \
				fi; \
				if [ -e $$doc/$$lang/$$doc.xml ]; then \
					mkdir -p debian/ubuntu-docs/usr/share/gnome/help/$$doc/$$lang/; \
					cp $$doc/$$lang/*xml debian/ubuntu-docs/usr/share/gnome/help/$$doc/$$lang/; \
				fi; \
				if [ -e $$doc/$$lang/*.omf ]; then \
					mkdir -p debian/ubuntu-docs/usr/share/omf/$$doc; \
					cp $$doc/$$lang/*omf debian/ubuntu-docs/usr/share/omf/$$doc/; \
				fi; \
			done; \
		done; \

# Common documents

		cp -r libs debian/ubuntu-docs/usr/share/ubuntu-docs/ 

# Scrollkeeper loving

	dh_scrollkeeper 

build/ubuntu-serverguide::
	$(MAKE) serverguide; $(MAKE) contributors

install/ubuntu-serverguide::
	mkdir -p debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/html/C
	mkdir -p debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/libs/C
	cp -R build/libs/ debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/
	cp -R serverguide/sample/ debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/html/
	cp libs/ubuntu-book.css debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/libs/
	cp -R build/serverguide/* debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/html/
	cp -R build/libs/C/contributors.html debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/libs/C/

binary-fixup/ubuntu-docs::
	(cd debian/ubuntu-docs; ../../scripts/symlink-dupes)

## ubuntu-docs 9.10.11

=== debian/changelog ===
ubuntu-docs (9.10.11) karmic; urgency=low

  * Update translations from Rosetta

 -- Matthew East <mdke@ubuntu.com>  Sat, 17 Oct 2009 17:23:03 +0100

ubuntu-docs (9.10.10) karmic; urgency=low

  * Remove draft watermark from html pages
  * Drop fdupes script as it clashes with current pkgbinarymangler (LP: #441401)
    - also need to set CDBS_NO_GNOME_HELP_SYMLINKING=1 to stop fdupes script
  * Update version number in offline browser startpage to 9.10

 -- Matthew East <mdke@ubuntu.com>  Mon, 12 Oct 2009 22:09:57 +0100

ubuntu-docs (9.10.9) karmic; urgency=low

  * General:
    - Refresh pot files
    - Fix broken links to ghelp:hardware#jockey, Connor Imes, LP: #441460
    - Update references to gnome-app-install to software-center, Connor
      Imes, LP: #441810
  * add-applications.xml:
    - Replace references to 'Third party software' with 'Other software',
      Shane Fagan, LP: #441323, LP: #441315
  * internet.xml:
    - Update packagenames for flashplugin-installer and ttf-mscorefonts-installer,
      Connor Imes, LP: #441799
  * musicvideophotos.xml:
    - Correct firefox flash error message, LP: #441815
  * programming.xml:
    - Replace gambas with gambas2, Connor Imes, LP: #414287
  * usb-creator.xml:
    - Correct typo, Connor Imes, LP: #442231
    - Correct unclear sentence, LP: #442461

 -- Matthew East <mdke@ubuntu.com>  Sun, 04 Oct 2009 21:05:06 +0100

ubuntu-docs (9.10.8) karmic; urgency=low

  * General:
    - Refresh pot files
  * hardware.xml:
    - Update jockey instructions to reflect UI changes from some time ago (LP: #281143)
    - Remove link to deprecated section in accessibility guide (LP: #293842)
  * internet.xml:
    - Network manager network list no longer has radio buttons, Dean Sas
  * keeping-safe.xml:
    - Update firewall section, Connor Imes / bodhi.zazen (LP: #377039)
  * usb-creator.xml:
    - Add manual for usb-creator, new document by Augustina Blair
  * serverguide.xml:
    - Add additional information for configuring TLS with OpenLDAP and gnutls, PeterNSteinmetz (LP: #437483)

 -- Matthew East <mdke@ubuntu.com>  Sun, 27 Sep 2009 17:26:16 +0100

ubuntu-docs (9.10.7) karmic; urgency=low

  * General:
    - Refresh pot files
  * Add-applications:
    - Amend add-applications in light of move from gnome-app-install to software-center
  * Serverguide (by Adam Sommer unless otherwise stated):
    - Updating etckeeper section for new version and fixing typo, Thierry Carrez (LP: #432377)
    - Updating the Postgresql section for version 8.4, ~BG (LP: #426971)
    - Fix typos in Chat section, Connor Imes (LP: #410654)
    - Removing note about command line utility differences, Connor Imes (LP: #394728)
    - Update for phpinfo() test script, Christian Wenz (LP: #418045)
    - Added note about manually compiling drbd module in virtual kernels, removed bad config
      line based on feed back from Ante Karamatić (LP: #397241)
    - Apache2 configuration update for more security, and clarification of using SSL
      and Apache2 with Subversion (LP: #383605)
    - Added a link to the Windows Networking section to find more info regarding Samba (LP: #415622)
    - Added priority to MX record example (LP: #425207)
    - Added more configuration options to Amavisd-new section to flag more messages as spam (LP: #363442)
    - Updated mailman Apache2 configuration for latest version of moinmoin (LP: #381802)

 -- Matthew East <mdke@ubuntu.com>  Sat, 26 Sep 2009 14:07:07 +0100

ubuntu-docs (9.10.6) karmic; urgency=low

  * General:
    - Refresh pot files
    - debian/rules: remove deprecated scrollkeeper calls
    - debian/rules: small fix to build process for translated xml 
  * Internet:
    - Remove outstanding mention of Pidgin (LP: #425834), Dougie Richardson
    - Update bittorrent docs for introduction of Transmission, Dean Sas
    - Fix instruction for Java plugin on amd64 (LP: #293781), Dougie Richardson

 -- Matthew East <mdke@ubuntu.com>  Tue, 22 Sep 2009 21:32:29 +0100

ubuntu-docs (9.10.5) karmic; urgency=low

  * General:
    - Also ship translations which are under 75% translated now, as these are included in language packs
    - Refresh pot files
  * Internet:
    - New mobile broadband troubleshooting section, Dougie Richardson
  * Serverguide:
    - Adjust the command to create an LDIF for schema addition, Adam Sommer (LP: #416520)
  * Switching:
    - Fix several typos, Jonathan Jesse (LP: #416422)

 -- Matthew East <mdke@ubuntu.com>  Mon, 31 Aug 2009 22:39:58 +0100

ubuntu-docs (9.10.4) karmic; urgency=low

  * General:
    - Updating version numbers for 9.10/Karmic
    - Refresh pot files
  * About-ubuntu:
    - reword first sentence to clarify system version number, LP: #395905
  * Internet:
    - Replace Pidgin with Empathy, now default IM app in Karmic
    - typo, LP: #414153
  * Serverguide:
    - Update correct command for restarting cups, Dougie Richardson, LP: #380836
    - New Jabberd2 section, Adam Sommer
    - New OpenVPN chapter, Adam Sommer
    - Typo, LP: #414605

 -- Matthew East <mdke@ubuntu.com>  Mon, 17 Aug 2009 08:30:56 +0100

ubuntu-docs (9.10.3) karmic; urgency=low

  * debian/rules - install "C" locale documents (these were not being
    installed following changes in 9.10.1)
  * Basic-commands:
    - Spelling fix, Dougie Richardson, LP #388651
  * Keeping-safe:
    - Update for new firefox security dialogue, LP: #386556
  * Internet:
    - Added FAQ section, Dougie Richardson
  * Printing:
    - Grammar fix, LP: #386376
  * Serverguide:
    - Remove all instances of 'the the', LP: #377436
    - New Monitoring chapter, including Nagios and Munin, Adam Sommer
    - Adding bind9-utils package to the DNS Server task package list, from Shane Fagan, LP: #381739
    - Typo in Landscape section, Jonathan Jesse, LP: #394026 
    - Replaced Postfix and SMTPAUTH instructions, Adam Sommer
    - Corrected /etc/ufw/sysctl.conf syntax, Adam Sommer, LP: #397357

 -- Matthew East <mdke@ubuntu.com>  Sat, 25 Jul 2009 14:08:12 +0100



=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,10 @@
 
 DEB_DH_INSTALL_ARGS = -X.svn
 DEB_DH_BUILDDEB_ARGS := -- -Z bzip2
-
+export CDBS_NO_GNOME_HELP_SYMLINKING=1
 DEB_SRCDIR = .
 
-DEB_MAKE_BUILD_TARGET = gdeb
-
 $(patsubst %,binary-install/%,$(DEB_PACKAGES)) :: binary-install/%:
-	dh_scrollkeeper -p$(cdbs_curpkg) $(DEB_DH_SCROLLKEEPER_ARGS)
 
 install755=install -m755 -oroot -groot
 preptrans=prepare-firefox-startpage-translations
@@ -33,23 +30,23 @@
 
 # Install the documents; skip documents which are less than 75% translated
 
-	set -x; for doc in `cat libs/shipped-docs`; do \
-		scripts/translate.sh -d $$doc ; \
-		numstrings=`LANG=C msgfmt --statistics $$doc/po/$$doc.pot 2>&1 | sed -r 's/^.* ([[:digit:]]+) untranslated.*$$/\1/'`; \
-			for lang in `ls $$doc/`; do \
+	for doc in `cat libs/shipped-docs`; do \
+		mkdir -p debian/ubuntu-docs/usr/share/gnome/help/$$doc/C/; \
+		cp $$doc/C/*xml debian/ubuntu-docs/usr/share/gnome/help/$$doc/C/; \
+		mkdir -p debian/ubuntu-docs/usr/share/omf/$$doc; \
+		cp $$doc/C/*omf debian/ubuntu-docs/usr/share/omf/$$doc/; \
+		echo "Building and installing translated xml for $$doc"; \
+			for pofile in `ls $$doc/po/`; do \
+				lang=$$(basename $$pofile .po); \
 				if [ -e $$doc/po/$$lang.po ]; then \
-					translated=`LANG=C msgfmt -o /dev/null --statistics $$doc/po/$$lang.po 2>&1| cut -f1 -d\ `; \
-					if [ "`echo "$$translated./$$numstrings > 0.75" | bc -l`" = "0" ]; then \
-						echo "$$doc $$lang is less than 75% translated, skipping"; \
-						continue; \
-					fi; \
+					echo "--$$doc $$lang, building xml..."; \
+						scripts/translate.sh -d $$doc -l $$lang ; \
 				fi; \
 				if [ -e $$doc/$$lang/$$doc.xml ]; then \
 					mkdir -p debian/ubuntu-docs/usr/share/gnome/help/$$doc/$$lang/; \
 					cp $$doc/$$lang/*xml debian/ubuntu-docs/usr/share/gnome/help/$$doc/$$lang/; \
 				fi; \
 				if [ -e $$doc/$$lang/*.omf ]; then \
-					mkdir -p debian/ubuntu-docs/usr/share/omf/$$doc; \
 					cp $$doc/$$lang/*omf debian/ubuntu-docs/usr/share/omf/$$doc/; \
 				fi; \
 			done; \
@@ -58,10 +55,6 @@
 # Common documents
 
 		cp -r libs debian/ubuntu-docs/usr/share/ubuntu-docs/ 
-
-# Scrollkeeper loving
-
-	dh_scrollkeeper 
 
 build/ubuntu-serverguide::
 	$(MAKE) serverguide; $(MAKE) contributors
@@ -75,5 +68,3 @@
 	cp -R build/serverguide/* debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/html/
 	cp -R build/libs/C/contributors.html debian/ubuntu-serverguide/usr/share/ubuntu-serverguide/libs/C/
 
-binary-fixup/ubuntu-docs::
-	(cd debian/ubuntu-docs; ../../scripts/symlink-dupes)

## ubuntu-docs 10.04.3

=== debian/changelog ===
ubuntu-docs (10.04.3) lucid; urgency=low

  * Import translations from Rosetta
  * Replace old Ubuntu logo with new one from wiki:Brand (LP: #551058)

 -- Matthew East <mdke@ubuntu.com>  Sun, 18 Apr 2010 21:06:41 +0100

ubuntu-docs (10.04.2) lucid; urgency=low

  * General:
    - Fixes to scripts/fix-url.sh (including LP: #482862)
    - Fix character encoding in contributors.xml (LP: #448618)
    - Updated version in browser-startpage html files, LP: #526320
    - Refresh pot files
  * Add-applications:
    - Updates for UI changes, Phil Bull
  * Config-desktop:
    - Added topic on changing window buttons from the left, Phil Bull
  * Hardware:
    - Added mention of gsynaptics, Connor Imes, LP: #450567
  * Internet:
    - Refresh list of plugins supplied by ubuntu-restricted-extras, branch 
      from Nathan Murray, LP: #504981
    - Updates to reflect that Ekiga no longer installed by default, Connor Imes,
      LP: #508572
    - Grammar fix from Alex Wardle, LP: #517776
    - Order adjustment for shares-admin usage, Alex Wardle, LP: #518119
    - Button name change for shares-admin app, Alex Wardle, LP: #518170
    - Use unlock icon in networking section, Alex Wardle, LP: #518117
    - Updated directions on changing text size and page zooming in firefox,
      Alison Rowland, LP: #512556
    - Fixed guilabel usage in modem section. Alex Wardle, LP: #521243
    - Updated button and tab names in Static Connections section,
      Alex Wardle, LP: #521508
    - Typo fix in adsl section. Alex Wardle, LP: #525349
    - Removed unused and empty basics.xml, LP: #525431
    - Minor wording update to directions for sharing folders via nautilus,
      Connor Imes, LP: #518175
    - Use 'NetworkManager' not 'Network Manager' for consistency, Connor Imes
      LP: #518107
    - Update to troubleshooting mobile devices, Connor Imes, LP: #453459
    - Adjusted description of NetworkManager applet icons, Connor Imes
      LP: #440826
    - Additions to VPN section of connecting guide, Alex Wardle, LP: #452647
    - Expanded on using config files for vpn connections, Connor Imes
    - Command line substitution for Services utility which is not in Karmic or
      Lucid, Connor Imes, LP: #518460
    - Structural and language changes + updates for UI changes, Phil Bull
  * Musicvideophotos:
    - Added section for recording and editing video, Book 'em Dano, LP: #367569
  * Newtoubuntu:
    - Complete rewrite, Matthew East
  * Printing:
    - Simple Scan replaced xsane for scanning documents, Alex Wardle, LP: #546193
  * Serverguide:
    - Rename link to serverguide in advanced-topics.xml, Gilbert 
      Mendoza, LP: #505708
    - Use distro-short-codename variable for vmbuilder documentation in 
      serverguide rather than static version example, Connor Imes,. LP: #509653
    - Small fixes to security chapter, Connor Imes, LP: #510703
    - Small fixes from Nathan Handler, LP: #507624
    - Configuration change for OpenLDAP, Connor Imes, LP: #511090
    - Refresh of network-config section, Gilbert Mendoza, LP: #506800
    - Update manpage links to use distro-short-codename, Connor Imes
    - Changed OpenLDAP replication to use single Provider/Consumer configuration,
      Adam Sommer
    - Removed grub-password-security section - it does not apply to Grub2,
      Gilbert Mendoza, LP: #384148
    - Reference Grub2 community doc page for advanced configuration directions,
      Connor Imes, LP: #437446
    - Added necessary configuration options for apt Periodic in automatic-updates
      section, Connor Imes, LP: #532661
    - Added subsections for consumer and provider configuration steps, Adam Sommer
    - Changed TLS Replication section to use Single-Master scheme, Adam Sommer
    - Clarified Postfix TLS/SSL using a CA configuration steps, Adam Sommer,
      LP: #518289
    - Changed Apache2 Subversion configuration to use VirtualHost file instead
      of apache2.conf, Adam Sommer, LP: #515298.
    - Adding Ubuntu Wiki links to each section's Resources subsection, Adam Sommer
    - Added note in mail section about some packages being in multiverse,
      Connor Imes, LP: #509355
    - Use default serverguide index.html file location for accessing serverguide
      in terminal, Connor Imes, LP: #537167#
    - Updated to use Grub2 directions, Connor Imes, LP: #533582
    - Updated MySQL information for mysql-server-5.1, Adam Sommer
    - Replaced screen-profiles with byobu project, Adam Sommer
    - Changed egrep command with kvm-ok script, Adam Sommer
    - Removed references to likewise-open5, Adam Sommer
    - Add reporting-bugs.xml - Steve Beattie
    - Replaced Eucalyptus section with information on UEC, Adam Sommer
    - Updated command and configuration mistakes in vpn.xml, Adam Sommer
      LP: #489819
    - Replaced update-motd section with newer pam_motd, Adam Sommer, LP: #496184
    - Updated LocalSettings.php command for new file path, and recommending upping
      the memory limit based on feedback from Cornelius Brümmer, Adam Sommer
    - Updated Installation section for Lucid, and added row seperator for UEC
      requirement tables, Adam Sommer
    - Changed OpenLDAP TLS/SSL options to use gnutls to create certificate instead 
      of OpenSSL, Adam Sommer
  * Switching/Windows:
    - Updated dualboot section to use startupmanager for changing 
      boot options (valid for Grub and Grub2), Connor Imes
    - Fixed 'Ubuntu Ubuntu' typo, Alex Wardle, LP: #526083
    - Removed old string from Windows section and copied correct string to
      Switching guide, Connor Imes, LP: #527905
    - Split off directions for exporting favorites in IE8. Broke different
      IE versions down into subsections, Connor Imes, LP: #528808

 -- Matthew East <mdke@ubuntu.com>  Mon, 29 Mar 2010 07:56:15 +0100

ubuntu-docs (10.04.1) lucid; urgency=low

  * First upload for lucid
  * General:
    - Refresh pot files
    - Changed 'Text Editor' to 'gedit Text Editor' LP: #442417 (Connor Imes)


=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: text
 Priority: optional
 Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
-Uploaders: Daniel Holbach <daniel.holbach@ubuntu.com>
 Build-Depends: debhelper (>= 5.0.0), cdbs
-Build-Depends-Indep: xsltproc, docbook-xsl, perl, perl-modules, gnome-doc-utils, docbook-xml, fdupes, bc
-Standards-Version: 3.7.2
+Build-Depends-Indep: xsltproc, docbook-xsl, perl, perl-modules, gnome-doc-utils, docbook-xml, bc
+Standards-Version: 3.8.1
+Homepage: https://launchpad.net/ubuntu-doc
 
 Package: ubuntu-docs
 Architecture: all

## ubuntu-docs 10.04.3charlotte2

=== debian/changelog ===
ubuntu-docs (10.04.3charlotte2) lucid; urgency=low

  * Fix typo in path to user guide in vodafone.xml

 -- Alex Chiang <achiang@canonical.com>  Mon, 20 Jun 2011 10:41:57 -0600

ubuntu-docs (10.04.3charlotte1) lucid; urgency=low

  * Add new document that contains link to PDF user guide (LP: #792160)

 -- Alex Chiang <achiang@canonical.com>  Thu, 16 Jun 2011 16:10:04 -0600
